Skip to content

Detail

GET
/api/v1/detail/{source}/{item_id}
agent-data call d7ac1bae-c5c2-496b-bcfc-2c984b83ff5b get-detail --source <source> --item_id <item_id> [--subreddit <subreddit>] [--comment_page_token <comment_page_token>] [--comment_max_page_size <comment_max_page_size>]
source
required
Source

The platform that owns the requested item.

string
Allowed values: x reddit hackernews lobsters

The platform that owns the requested item.

item_id
required
Item Id

Source-native item identifier from a feed item’s item_id field.

string

Source-native item identifier from a feed item’s item_id field.

subreddit
Any of:
string

Required when source=reddit; rejected otherwise. Format r/. r/all and r/new are rejected.

comment_page_token
Any of:
string

Opaque cursor from a prior response’s comment_pagination.next_page_token. Paginates top-level comments only.

comment_max_page_size
Comment Max Page Size

Top-level comments per page, 1 to 100. Default 100.

integer
default: 100 >= 1 <= 100

Top-level comments per page, 1 to 100. Default 100.

Successful Response

Media type application/json
DetailResponse
object
id
required
Id
string
url
Any of:
string
title
Any of:
string
author
Any of:
string
source
required
Source
string
Allowed values: x reddit hackernews lobsters
thread
required
Thread
Array<object>
ThreadComment
object
id
required
Id
string
body
Any of:
string
author
Any of:
string
source
required
Source
string
Allowed values: x reddit hackernews lobsters
item_id
required
Item Id
string
upvotes
Any of:
integer
comments
Array<object> recursive
permalink
required
Permalink
string
created_at
required
Created At
string format: date-time
number_of_comments
Number Of Comments
integer
0
item_id
required
Item Id
string
full_body
Any of:
string
permalink
required
Permalink
string
created_at
required
Created At
string format: date-time
engagement
required
Engagement
object
score
Any of:
integer
view_count
Any of:
integer
quote_count
Quote Count
integer
0
upvote_count
Any of:
integer
comment_count
Comment Count
integer
0
retweet_count
Retweet Count
integer
0
bookmark_count
Bookmark Count
integer
0
poll_option_count
Poll Option Count
integer
0
author_context
Any of:
AuthorContext
object
id
required
Id
string
about
Any of:
string
karma
Any of:
integer
verified
Any of:
boolean
created_at
Any of:
string format: date-time
tweet_count
Any of:
integer
display_name
Any of:
string
followers_count
Any of:
integer
following_count
Any of:
integer
submitted_count
Submitted Count
integer
0
comment_pagination
Any of:
CommentPagination
object
has_more
Has More
boolean
returned
required
Returned
integer
next_page_token
Any of:
string
linked_content_preview
Any of:
LinkedContentPreview
object
url
required
Url
string
title
Any of:
string
domain
required
Domain
string
warnings
Warnings
Array<string>
word_count
Word Count
integer
0
chunk_count
Chunk Count
integer
0
content_kind
required
Content Kind
string
Allowed values: article repo_page video_page landing_page research_page unknown
fetch_status
required
Fetch Status
string
Allowed values: ok http_error timeout non_html extract_failed
excerpt_markdown
Any of:
string
linked_content_resource
required
Linked Content Resource
string
Example
{
"source": "x",
"thread": [
{
"source": "x",
"number_of_comments": 0
}
],
"engagement": {
"quote_count": 0,
"comment_count": 0,
"retweet_count": 0,
"bookmark_count": 0,
"poll_option_count": 0
},
"author_context": {
"submitted_count": 0
},
"comment_pagination": {
"has_more": false
},
"linked_content_preview": {
"word_count": 0,
"chunk_count": 0,
"content_kind": "article",
"fetch_status": "ok"
}
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
Example generated
{
"detail": [
{
"ctx": {},
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example"
}
]
}